Error when searching for installed product.

shade
Beiträge: 41
Registriert: 10 Aug 2012, 15:14

Error when searching for installed product.

Beitragvon shade » 23 Mär 2017, 19:25

I get a error when I search for clients with a specifict product installed, if I just search for clients in a group it works fine, but when a product is added to the search it fails with the error:

mar. 23 19:19:25.440 2017 -- Exception while data reading, de.uib.opsicommand.JSONthroughHTTP$JSONCommunicationException: receiving json
mar. 23 19:19:25.441 2017 -- JSONReMapper: Exception on reproducing null, java.lang.NullPointerException

Benutzeravatar
n.wenselowski
Beiträge: 2457
Registriert: 04 Apr 2013, 12:15

Re: Error when searching for installed product.

Beitragvon n.wenselowski » 27 Mär 2017, 13:50

Hi,

please enlighten us on the version of opsi-configed that produces that behaviour!


Kind regards

Niko
Kein Support per DM!
_________________________
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.

shade
Beiträge: 41
Registriert: 10 Aug 2012, 15:14

Re: Error when searching for installed product.

Beitragvon shade » 27 Mär 2017, 21:18

On the client (with opsi-configd) it is version 4.0.7.3.5-1

On login to the config editor it also says:
Exception while data reading, de.uib.opsicommand.JSONthroughHTTP$JSONCommunicationException: receiving json

Server is:

ii opsi-configed 4.0.7.1.3-1 all OPSI config editor
ii opsiconfd 4.0.7.4.1-1 all opsi configuration service

Benutzeravatar
n.wenselowski
Beiträge: 2457
Registriert: 04 Apr 2013, 12:15

Re: Error when searching for installed product.

Beitragvon n.wenselowski » 29 Mär 2017, 15:29

Hi,

thanks. I relayed the info to the dev so he can take a lootk.


-Niko
Kein Support per DM!
_________________________
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.

shade
Beiträge: 41
Registriert: 10 Aug 2012, 15:14

Re: Error when searching for installed product.

Beitragvon shade » 05 Apr 2017, 13:33

Anything new?

ngbr
Beiträge: 119
Registriert: 27 Sep 2010, 11:41

Re: Error when searching for installed product.

Beitragvon ngbr » 05 Apr 2017, 21:40

hi shade,

shade hat geschrieben:On the client (with opsi-configd) it is version 4.0.7.3.5-1

On login to the config editor it also says:
Exception while data reading, de.uib.opsicommand.JSONthroughHTTP$JSONCommunicationException: receiving json

Server is:

ii opsi-configed 4.0.7.1.3-1 all OPSI config editor
ii opsiconfd 4.0.7.4.1-1 all opsi configuration service


this is unusual behavior, I wanna say. I am running the same versions of configed (4.0.7.3.5-1), and osiconfd, and no problems here.
Sometimes, I have been struggling with the search, so please try the following:

> make sure you select 'CLIENT_LISTE' in the tree to the left. Select the 'Client' Tab on the right. Open search window.
> type into 'Product/ID' an existing product, or replace parts of it via wildcard
> type into 'Product/Status' 'installed'
> search. there should be a result.

if you still get an error, please report on the backend you're using. might be an issue with the file backend .. thank you !!

just fyi:
if you start opsi-configed on the client locally, then the version installed on the server is of no importance. this package is a legacy, and it is being used only when starting the configed via java webstart (which is not recommended because slightly behind ..) .

pls report again !
---
hoping to help :)

if your problem was solved, pls mark this thread as 'SOLVED'. thank you

Andre

Benutzeravatar
n.wenselowski
Beiträge: 2457
Registriert: 04 Apr 2013, 12:15

Re: Error when searching for installed product.

Beitragvon n.wenselowski » 06 Apr 2017, 09:42

shade hat geschrieben:Anything new?

I believe the configeds in experimental have this fixed.

EDIT: They changed other things that I think might be related. Please try and report back.
Kein Support per DM!
_________________________
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.

shade
Beiträge: 41
Registriert: 10 Aug 2012, 15:14

Re: Error when searching for installed product.

Beitragvon shade » 07 Apr 2017, 22:00

I have tried to update to the experimental version, now the error on login has been fixed :)

The error when searching on a product are still present, also it is not possible to launch the configed by browser when calling https://server:4447/configed/ it shows the box with "Downloading application..." but it never reaches 100%

I have copied the new jar out on my client, and now I can login without getting the error, so one step forward.

I am using MYSQL as backend, have license.

r.roeder
Beiträge: 350
Registriert: 02 Jul 2008, 10:08

Re: Error when searching for installed product.

Beitragvon r.roeder » 21 Apr 2017, 10:36

Hi,

this looks definitively like the known problem with the SSL communication between Java 1.8 and Python libs. The options to work around it are sketched in viewtopic.php?f=8&t=8809&p=38883&hilit=tlsv1#p38883

Hoping that this fixes your issue,

regards

Rupert
opsi support - uib gmbh
For productive opsi installations we recommend maintainance + support contracts which are the base of opsi development.


Wondering who's using opsi? Have a look at the opsi map: http://opsi.org/opsi-map/.

Benutzeravatar
n.wenselowski
Beiträge: 2457
Registriert: 04 Apr 2013, 12:15

Re: Error when searching for installed product.

Beitragvon n.wenselowski » 24 Apr 2017, 12:08

Hi shade,

does your error still persist with the new configed?


Kind regards

Niko
Kein Support per DM!
_________________________
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.


Zurück zu „Free support“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast